---
name: Bug Report
about: Report an issue with CIDER you've discovered.
---

*Use the template below when reporting bugs. Please, make sure that
you're running the latest stable CIDER and that the problem you're reporting
hasn't been reported (and potentially fixed) already.*

**Remove all of the placeholder text in your final report!**

## Expected behavior

## Actual behavior

## Steps to reproduce the problem

*This is extremely important! Providing us with a reliable way to reproduce
a problem will expedite its solution.*

## Environment & Version information

### CIDER version information

*Include here the version string displayed when
CIDER's REPL is launched. Here's an example:*

```
;; CIDER 0.12.0snapshot (package: 20160331.421), nREPL 0.2.12
;; Clojure 1.8.0, Java 1.8.0_31
```

### Lein / Clojure CLI version

*E.g. Lein 2.6.1* 

### Emacs version

*E.g. 24.5* (use <kbd>M-x emacs-version</kbd> to check it if unsure)

### Operating system

*E.g. Fedora 23, OS X 10.11 "El Capitan", Windows 10, etc*

### JDK distribution

*The JDK distribution are you using (e.g. Oracle, Temurin, Corretto), and its version. (run `java -version` for obtaining this)*

*Please note that you should be running a JDK, not a JRE.*

*If you are using a JDK through Docker, please indicate the Docker image being used.*

*Please note that especially on Linux, JDK sources may be absent by default and require a separate installation step.*
